Download Backblaze B2

  • PATCH
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /pipelines
  • /:pipeline_id
  • /actions
  • /:action_id

Update Download Backblaze B2 action configuration

Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.

Request

REQUIRED SCOPES
EXECUTION_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

pipeline_idrequiredinteger
The ID of the pipeline

Example: 123

action_idrequiredinteger
The ID of the action

Example: 456

POST PARAMETERS
typerequiredstring enum
The type of the action
Allowed enum:
DOWNLOAD_BACKBLAZE_B2
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
after_action_idinteger
The numerical ID of the action, after which this action should be added
namerequiredstring
The name of the action
trigger_timestring enum
Specifies when the action should be executed
Allowed enum:
ON_EVERY_EXECUTION,
ON_SUCCESS,
ON_FAILURE,
ON_BACK_TO_SUCCESS,
ON_WARNING,
ON_WAIT_FOR_APPROVE,
ON_TERMINATE
trigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggered
run_nextstring enum
Defines whether the action should run in parallel with the next one
Allowed enum:
WAIT_ON_SUCCESS,
IN_SOFT_PARALLEL,
IN_HARD_PARALLEL
run_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILURE
variablesEnvironmentVariableView[]
The list of variables you can use the action
disabledboolean
When set to true the action is disabled. By default it is set to false
timeoutinteger
The timeout in seconds
ignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actions
retry_countinteger
Number of retries if the action fails
retry_intervalinteger
Delay time between auto retries in seconds
loopstring[]
The list of commands that will be executed in a loop
current_revisionstring
The git revision of the last successful run of the action
permissionsPermissionsView
Access permissions configuration
source_pathrequiredstring
The path to the source file or directory to download
destination_pathrequiredstring
The path where the downloaded files will be saved
recursiveboolean
If set to true, directories will be downloaded recursively
overwriteboolean
If set to true, existing files will be overwritten
download_excludesstring[]
The list of files or directories to exclude from download
download_includesstring[]
The list of files or directories to include in download
integrationrequiredBackblazeIntegrationRef
Backblaze integration (BACKBLAZE)
bucket_namestring
The name of the Backblaze B2 bucket
regionstring
The Backblaze B2 region

Response

RESPONSE BODY
typestring enum
The type of the action
Allowed enum:
DOWNLOAD_BACKBLAZE_B2
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the action
namestring
The name of the action
current_revisionstring
The git revision of the last successful run of the action
trigger_timestring enum
Specifies when the action should be executed
Allowed enum:
ON_EVERY_EXECUTION,
ON_SUCCESS,
ON_FAILURE,
ON_BACK_TO_SUCCESS,
ON_WARNING,
ON_WAIT_FOR_APPROVE,
ON_TERMINATE
trigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggered
run_nextstring enum
Defines whether the action should run in parallel with the next one
Allowed enum:
WAIT_ON_SUCCESS,
IN_SOFT_PARALLEL,
IN_HARD_PARALLEL
run_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILURE
variablesEnvironmentVariableView[]
The list of variables you can use the action
disabledboolean
When set to true the action is disabled. By default it is set to false
timeoutinteger
The timeout in seconds
ignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actions
retry_countinteger
Number of retries if the action fails
retry_intervalinteger
Delay time between auto retries in seconds
last_execution_statusstring enum
The status of the last run of the action
Allowed enum:
INPROGRESS,
ENQUEUED,
TERMINATED,
SUCCESSFUL,
FAILED,
INITIAL,
NOT_EXECUTED,
SKIPPED,
TERMINATING,
WAITING_FOR_APPLY,
WAITING_FOR_VARIABLES,
WAITING_FOR_SETTABLE_VARIABLES,
WAITING_FOR_VT_SESSION
pipelineShortPipelineView
Short representation of a pipeline
permissionsPermissionsView
Access permissions configuration
loopstring[]
The list of commands that will be executed in a loop
source_pathstring
The path to the source file or directory to download
destination_pathstring
The path where the downloaded files will be saved
recursiveboolean
If set to true, directories will be downloaded recursively
overwriteboolean
If set to true, existing files will be overwritten
download_excludesstring[]
The list of files or directories to exclude from download
download_includesstring[]
The list of files or directories to include in download
integrationIntegrationIdentifierView
The integration used by the action
bucket_namestring
The name of the Backblaze B2 bucket
regionstring
The Backblaze B2 region

Last modified on Feb 18, 2026

Request example

curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "name": "Download files from Backblaze B2/bucketname", "type": "DOWNLOAD_BACKBLAZE_B2", "trigger_time": "ON_EVERY_EXECUTION", "bucket_name": "bucketname", "source_path": "source", "destination_path": "destination", "integration": { "identifier": "backblaze" }, "region": "us-east-005", "overwrite": true, "recursive": true, "download_excludes": [ "/tmp", "*.log" ], "download_includes": [ "/tmp/assets", "/tmp/styles" ] }'
STATUS
200 OK